<?
define('PROTECTOR', 1);

$headmod = 'sklad';//фикс. места

$textl='Склад';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
zasad();
ryd();
place_okr();
place_zamok();
place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');


switch($_GET[mod]){

default:
echo"<a href=\"sklad.php?mod=send\">Положить вещь</a><br/>";
echo"<a href=\"sklad.php?mod=back\">Забрать вещь</a><br/>";
echo"<a href=\"sklad.php?mod=give\">Передать</a>";
break;

case 'send':
$req = mysql_query("SELECT * FROM `item` WHERE `usr` = '$log' and `image`='not'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"sklad.php?mod=send&amp;id=$mag[id]\">$mag[name]</a><br/>";
}
}else{
echo"<b>Нет вещей</b><br/>";
}
}else{
$req = mysql_query("SELECT * FROM `item` WHERE `usr` = '$log' and `image`='not' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$item = mysql_fetch_array($req);

mysql_query("INSERT INTO
        `sklad` SET
        `usr` = '$log',
        `tip` = '$item[tip]',
        `name` = '$item[name]',
        `cena` = '$item[cena]',
        `umin` = '$item[umin]',
        `umax` = '$item[umax]',
        `pgolova` = '$item[pgolova]',
        `pbody` = '$item[pbody]',
        `pnogi` = '$item[pnogi]',
        `hp` = '$item[hp]',
        `mp` = '$item[mp]',
        `krit` = '$item[krit]',
        `ukrit` = '$item[ukrit]',
        `antikrit` = '$item[antikrit]',
        `sila` = '$item[sila]',
        `lovk` = '$item[lovk]',
        `um` = '$item[um]',
        `prot` = '$item[prot]',
        `klas` = '$item[klas]',
        `nsila` = '$item[nsila]',
        `nlovk` = '$item[nlovk]',
        `num` = '$item[num]',
        `nlvl` = '$item[nlvl]'");
        
        mysql_query("DELETE FROM `item` WHERE usr='$log' and `image`='not' and `id`='$_GET[id]'");
        
echo"Вещь $item[name] положена на склад!<br/>";

}else{
echo"<b>Нет такой вещи</b><br/>";
}
}
echo"<a href=\"sklad.php?\">Назад</a>";

break;

case 'back':
$req = mysql_query("SELECT * FROM `sklad` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"sklad.php?mod=back&amp;id=$mag[id]\">$mag[name]</a><br/>";
}
}else{
echo"<b>Нет вещей на складе</b><br/>";
}
}else{
$req = mysql_query("SELECT * FROM `sklad` WHERE `usr` = '$log' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$item = mysql_fetch_array($req);

mysql_query("INSERT INTO
        `item` SET
        `usr` = '$log',
        `tip` = '$item[tip]',
        `name` = '$item[name]',
        `cena` = '$item[cena]',
        `umin` = '$item[umin]',
        `umax` = '$item[umax]',
        `pgolova` = '$item[pgolova]',
        `pbody` = '$item[pbody]',
        `pnogi` = '$item[pnogi]',
        `hp` = '$item[hp]',
        `mp` = '$item[mp]',
        `krit` = '$item[krit]',
        `ukrit` = '$item[ukrit]',
        `antikrit` = '$item[antikrit]',
        `sila` = '$item[sila]',
        `lovk` = '$item[lovk]',
        `um` = '$item[um]',
        `prot` = '$item[prot]',
        `klas` = '$item[klas]',
        `nsila` = '$item[nsila]',
        `nlovk` = '$item[nlovk]',
        `num` = '$item[num]',
        `nlvl` = '$item[nlvl]',
        `image` = 'not'");
        
        mysql_query("DELETE FROM `sklad` WHERE usr='$log' and `id`='$_GET[id]'");
        
echo"Вещь $item[name] забрана со склада!<br/>";

}else{
echo"<b>Нет такой вещи</b><br/>";
}
}
echo"<a href=\"sklad.php?\">Назад</a>";

break;
case 'give':
if($udata[lvl]<2){
echo'Доступно с 2 уровня!<br/>';
echo"<a href=\"sklad.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
if(empty($_GET[act])){
echo"<a href=\"sklad.php?mod=give&amp;act=1\">Передать вещи</a><br/>";
echo"<a href=\"sklad.php?mod=give&amp;act=2\">Передать ресурсы</a><br/>";
echo"<a href=\"sklad.php?mod=give&amp;act=5\">Передать вещи для питомцев</a><br/>";
echo"<a href=\"sklad.php?\">Назад</a>";
}elseif($_GET[act]==1){
$req = mysql_query("SELECT * FROM `item` WHERE `usr` = '$log' and `image`='not'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"sklad.php?mod=give&amp;act=3&amp;id=$mag[id]\">$mag[name]</a><br/>";
}
}else{
echo"<b>Нет вещей!</b><br/>";
}
}else{
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '".mysql_real_escape_string($_POST['komu'])."'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого игрока!<br/>';
echo"<a href=\"sklad.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `item` WHERE `usr` = '$log' and `image`='not' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$item = mysql_fetch_array($req);
$time = date('H:i');
mysql_query("INSERT INTO
        `item` SET
        `usr` = '$_POST[komu]',
        `tip` = '$item[tip]',
        `name` = '$item[name]',
        `cena` = '$item[cena]',
        `umin` = '$item[umin]',
        `umax` = '$item[umax]',
        `pgolova` = '$item[pgolova]',
        `pbody` = '$item[pbody]',
        `pnogi` = '$item[pnogi]',
        `hp` = '$item[hp]',
        `mp` = '$item[mp]',
        `krit` = '$item[krit]',
        `ukrit` = '$item[ukrit]',
        `antikrit` = '$item[antikrit]',
        `sila` = '$item[sila]',
        `lovk` = '$item[lovk]',
        `um` = '$item[um]',
        `prot` = '$item[prot]',
        `klas` = '$item[klas]',
        `nsila` = '$item[nsila]',
        `nlovk` = '$item[nlovk]',
        `num` = '$item[num]',
        `nlvl` = '$item[nlvl]',
        `image` = 'not'");
       
        mysql_query("DELETE FROM `item` WHERE usr='$log' and `image`='not' and `id`='$_GET[id]'");
        mysql_query("INSERT INTO `msg_r` SET `user_from` = '$log', `user_to` = '$_POST[komu]', `time` = '$time', `read` = 1, `mail_msg` = 'Пользователь  $log прислал Вам $item[name]'");

echo"Вещь $item[name] передана $_POST[komu]!<br/>";

}else{
echo"<b>Нет такой вещи</b><br/>";
}
}
echo"<a href=\"sklad.php?\">Назад</a>";
}elseif($_GET[act]==5){
$req = mysql_query("SELECT * FROM `pit_item` WHERE `usr` = '$log' and `image`='not'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"sklad.php?mod=give&amp;act=6&amp;id=$mag[id]\">$mag[name]</a><br/>";
}
}else{
echo"<b>Нет вещей!</b><br/>";
}
}else{
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '".mysql_real_escape_string($_POST['komu'])."'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого игрока!<br/>';
echo"<a href=\"sklad.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `pit_item` WHERE `usr` = '$log' and `image`='not' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$mag = mysql_fetch_array($req);

mysql_query("INSERT INTO
        `pit_item` SET
        `usr` = '".mysql_real_escape_string($_POST['komu'])."',
        `tip` = '$mag[tip]',
        `name` = '$mag[name]',
        `cena` = '$mag[cena]',
        `umin` = '$mag[umin]',
        `umax` = '$mag[umax]',
        `pgolova` = '$mag[pgolova]',
        `pbody` = '$mag[pbody]',
        `pnogi` = '$mag[pnogi]',
        `hp` = '$mag[hp]',
        `krit` = '$mag[krit]',
        `ukrit` = '$mag[ukrit]',
        `antikrit` = '$mag[antikrit]',
        `sila` = '$mag[sila]',
        `lovk` = '$mag[lovk]',
        `rasa` = '$mag[rasa]',
        `nlvl` = '$mag[nlvl]',
        `image` = 'not'");
        
        mysql_query("DELETE FROM `pit_item` WHERE usr='$log' and `image`='not' and `id`='$_GET[id]'");
        
echo"Вещь $mag[name] передана!<br/>";
}else{
echo"<b>Нет такой вещи</b><br/>";
}
}
echo"<a href=\"sklad.php?\">Назад</a>";
}elseif($_GET[act]==2){
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"sklad.php?mod=give&amp;act=4&amp;id=$mag[id]\">$mag[name]</a> ($mag[kol] штук)<br/>";
}
}else{
echo"<b>Нет ресурсов!</b><br/>";
}
}else{
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$_POST[komu]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0" or $_POST[num]<=0){
echo'Ошибка!<br/>';
echo"<a href=\"sklad.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$res = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$_POST[komu]' and `lat_name`='$res[lat_name]'");
////////////////////////////
$avto=mysql_num_rows($req);
/////////////////////
if($res[kol]-$_POST[num]<=0){
mysql_query("DELETE FROM `res` WHERE usr='$log' and `id`='$_GET[id]'");
$nkol=$res[kol];
}else{
$res[kol]=$res[kol]-$_POST[num];
mysql_query("UPDATE `res` SET `kol` = '$res[kol]' WHERE `usr` = '$log' and `id`='$_GET[id]'");
$nkol=$_POST[num];
}
////////////////////////
if($avto==0){
mysql_query("INSERT INTO
        `res` SET
        `usr` = '$_POST[komu]',
        `name` = '$res[name]',
        `lat_name` = '$res[lat_name]',
        `tip` = '$res[tip]',
        `what` = '$res[what]',
        `give` = '$res[give]',
        `kol` = '$nkol',
        `cena` = '$res[cena]'");
}else{
$item = mysql_fetch_array($req);
$item[kol]=$item[kol]+$nkol;
mysql_query("UPDATE `res` SET `kol` = '$item[kol]' WHERE `usr` = '$_POST[komu]' and `lat_name`='$res[lat_name]'");
}
       
echo"$res[name]($nkol штук) передан $_POST[komu]!<br/>";

}else{
echo"<b>Нет такой вещи</b><br/>";
}
}
echo"<a href=\"sklad.php?\">Назад</a>";
}elseif($_GET[act]==3){

echo "<form action=\"sklad.php?mod=give&amp;act=1&amp;id=$_GET[id]\" method=\"post\">";
echo '<b>Кому:</b><br/>';
echo '<input name="komu"/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';

echo"<a href=\"sklad.php?\">Назад</a>";
}elseif($_GET[act]==6){
echo "<form action=\"sklad.php?mod=give&amp;act=5&amp;id=$_GET[id]\" method=\"post\">";
echo '<b>Кому:</b><br/>';
echo '<input name="komu"/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';

echo"<a href=\"sklad.php?\">Назад</a>";
}elseif($_GET[act]==4){

echo "<form action=\"sklad.php?mod=give&amp;act=2&amp;id=$_GET[id]\" method=\"post\">";
echo '<b>Кому:</b><br/>';
echo '<input name="komu"/><br/>';
echo '<b>Сколько:</b><br/>';
echo '<input name="num"/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';

echo"<a href=\"sklad.php?\">Назад</a>";
}else{
echo"Ошибка!<br/>";
}
break;
}
include($path.'files/down.php');
?>